<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package RT_Health
 */

get_header();
?>
<div class="container">
	<div id="primary" class="content-area">
		<main id="main" class="site-main">	
			<div class="blog-wrap" id="blog-wrap">	
				<?php if ( have_posts() ) : ?>
					<header class="page-header">
						<?php
						the_archive_title( '<h2 class="page-title">', '</h2>' );
						the_archive_description( '<div class="archive-description">', '</div>' );
						?>
					</header><!-- .page-header -->				
					<?php
					/* Start the Loop */
					while ( have_posts() ) :
						the_post();

						/*
						 * Include the Post-Type-specific template for the content.
						 * If you want to override this in a child theme, then include a file
						 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
						 */
						get_template_part( 'template-parts/content', get_post_type() );

					endwhile;

						do_action( 'rt_health_action_navigation' );

					else :

						get_template_part( 'template-parts/content', 'none' );

					endif;
					?>
			</div>
		</main><!-- #main -->
	</div><!-- #primary -->
	<?php
	/**
	 *
	 * Hook - rt_health_action_sidebar_layout
	 *
	 * @hooked -rt_health_sidebar_layout -10
	*/
	do_action( 'rt_health_action_sidebar_layout' );
	?>
</div>		
<?php
get_footer();
