<?php
/**
 * Blog Theme Customizer
 *
 * @package RT_Health
 */
$default = rt_health_get_default_theme_options();


/****************  Blog Setting Section starts ************/
$wp_customize->add_section('section_blog', 
	array(    
	'title'       => esc_html__('Blog Setting', 'rt-health'),
	'panel'       => 'theme_option_panel'    
	)
);

/********************* Enable Post Section ****************************/
$wp_customize->add_setting( 'theme_options[enable_post_meta]',
    array(
        'default'           => $default['enable_post_meta'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'rt_health_sanitize_checkbox',
    )
);
$wp_customize->add_control( 'theme_options[enable_post_meta]',
    array(
        'label'    => esc_html__( 'Enable Post Meta', 'rt-health' ),
        'section'  => 'section_blog',
        'type'     => 'checkbox',       
    )
);

/************************  Button Text  ******************/
$wp_customize->add_setting( 'theme_options[view_details]',
    array(
    'default'           => $default['view_details'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',   
    )
);
$wp_customize->add_control( 'theme_options[view_details]',
    array(
    'label'    => esc_html__( 'Button Text', 'rt-health' ),
    'section'  => 'section_blog',
    'type'     => 'text',    
    )
);



/********************* Pagination Layout  ****************************/
$wp_customize->add_setting('theme_options[pagination_layout]', 
    array(
    'default'           => $default['pagination_layout'],
    'type'              => 'theme_mod',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'rt_health_sanitize_select'
    )
);

$wp_customize->add_control('theme_options[pagination_layout]', 
    array(      
    'label'     => esc_html__('Pagination Options', 'rt-health'),
    'section'   => 'section_blog',
    'settings'  => 'theme_options[pagination_layout]',
    'type'      => 'radio',
    'choices'   => array(       
        'default'     => esc_html__('Default', 'rt-health'),                            
        'numeric'      => esc_html__('Numeric', 'rt-health'),      
        ),  
    )
);