<?php 
/**
 * Woocommerce Hooks and Filter
 * @package RT_Health
 */

if ( ! function_exists( 'rt_health_add_to_cart_button' ) ) :
	function rt_health_add_to_cart_button() {
	    woocommerce_template_loop_add_to_cart();
	}
endif;
add_action( 'rt_health_loop_after_thumbnail', 'rt_health_add_to_cart_button', 5 );

if ( ! function_exists( 'rt_health_add_to_favorite_icon' ) ) :
	function rt_health_add_to_favorite_icon() {
	    if( ! function_exists( 'YITH_WCWL' ) ) {
	        return;
	    }
	    global $product, $post;
	    $current_product = $product;
	    $product_id = $current_product->get_id();
	    $product_type = $current_product->get_type();

	    echo '<a href="'.esc_url( add_query_arg( 'add_to_wishlist', $product_id ) ) .'" class="single_add_to_wishlist wishlist"><i class="fa fa-heart"></i></a>';
	}
endif;
add_action( 'rt_health_loop_after_thumbnail', 'rt_health_add_to_favorite_icon', 10 );

if ( ! function_exists( 'rt_health_quick_view_icon' ) ) :
	function rt_health_quick_view_icon() {
	    if( ! function_exists( 'yith_wcqv_init' ) ) {
	        return;
	    }
	    global $product;
	    $product_id = $product->get_id();    
	    echo '<a href="#" class="btn yith-wcqv-button view" data-product_id="'.absint($product_id).'"><i class="fa fa-eye" aria-hidden="true"></i></a>';
	}
endif;
add_action( 'rt_health_loop_after_thumbnail', 'rt_health_quick_view_icon', 15 );


remove_action( 'woocommerce_shop_loop_item_title', 'woocommerce_template_loop_product_title', 10 );
if ( ! function_exists( 'rt_health_loop_item_title' ) ) :
	function rt_health_loop_item_title() {
	    echo '<a href="' . esc_url( get_permalink() ) . '"><h4 class="entry-title">' . esc_html( get_the_title() ). '</h4></a>';
	}
endif;
add_action( 'woocommerce_shop_loop_item_title', 'rt_health_loop_item_title', 10 );

add_filter( 'woocommerce_output_related_products_args', 'rt_health_related_products_args' );
  function rt_health_related_products_args( $args ) {
    $args['posts_per_page'] = 4; // 4 related products
    $args['columns'] = 3; // arranged in 2 columns
    return $args;
}

