<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package RT_Health
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <?php if ( has_post_thumbnail() ): ?>
        <div class="image-section">
            <figure class="featured-image">
            	<?php the_post_thumbnail( 'rt-health-blog' );?>
            </figure>
        </div>
    <?php endif; ?>
    <div class="post-content">
        <header class="entry-header">
            <?php $enable_post_meta = rt_health_get_option( 'enable_post_meta' );
            if ( true == $enable_post_meta ): ?>
                <div class="entry-meta">
                	<?php rt_health_posted_on(); ?>
                </div>
            <?php endif; ?>
			<h3 class="entry-title"><a href="<?php the_permalink();?>"><?php the_title();?></a></h3>
        </header>
        <div class="entry-content">
	        <?php $excerpt = rt_health_the_excerpt( 10 ); 
				echo wp_kses_post( wpautop( $excerpt ) ); 
			?>            
		    <?php $view_details = rt_health_get_option( 'view_details' );
            if ( !empty( $view_details ) ): ?>   	
	            <a href="<?php the_permalink(); ?>" class="box-button">
                    <span></span><?php echo esc_html( $view_details );?>
                </a> 
            <?php endif; ?>
        </div>  
    </div>

</article><!-- #post-<?php the_ID(); ?> -->
